using System;
using System.IO;
using System.Text;
using System.Xml;
using MapData;

namespace DataTest
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
			XmlDocument xml = new XmlDocument();
			string[] files = {   "input"	};

			for(int i=0;i < files.Length;i++) 
			{
				StringBuilder fileName = new StringBuilder();

				fileName.Append(files[i]);
				fileName.Append(".txt");

				string inputFile = fileName.ToString();

				fileName = new StringBuilder();

				fileName.Append("mapped");
				fileName.Append(files[i]);
				fileName.Append(".xml");

				string workFile = fileName.ToString();

				fileName = new StringBuilder();

				fileName.Append(files[i]);
				fileName.Append(".xml");

				string xmlFile = fileName.ToString();

				DataMapper mapper = new DataMapper("map.xml",inputFile);

				StreamWriter stream =  new StreamWriter(workFile);
				XmlTextWriter output = new XmlTextWriter(stream);
				XmlTextReader input = new XmlTextReader(mapper.Xml());

				while(input.Read()) 
				{
					output.WriteRaw(input.ReadOuterXml().ToString());
				}

				output.Flush();
				output.Close();
				mapper.Close();
			}
		}
	}
}
